using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace TVShoppingCallCenter_ZLJ.Models.Dtos
{
    public class ProductDto
	{

		#region Model
		private int _f_productid;
		private string _f_productnumber;
		private string _f_productname;
		private string _f_productshortname;
		private string _f_classname;
		private int _f_classid;
		private string _f_pinyinshort;
		private DateTime? _f_onsalebegin;
		private DateTime? _f_onsaleend;
		private bool _f_issale;
		private string _f_factory;
		private string _f_address;
		private string _f_supplier;
		private int? _f_integral;
		private decimal? _f_marketprice;
		private decimal? _f_memberprice;
		private decimal? _f_specialprice;
		private int? _f_isdelete;
		private string _f_des;
		private string _f_attribute;
		private decimal? _f_weight;
		private string _f_tag;
		private string _f_picture;
		private string _f_video;
		private string _f_content;
		private int? _f_userid;
		private string _f_username;
		private DateTime? _f_addtime;
		private DateTime? _f_updatetime;
		private int _f_sort;
		private DateTime? _f_laststockupdate;
		private int _f_stock = 0;

		/// <summary>
		/// 产品编号ID
		/// </summary>
		public int F_ProductId
		{
			set { _f_productid = value; }
			get { return _f_productid; }
		}
		/// <summary>
		/// 产品条形码
		/// </summary>
		public string F_ProductNumber
		{
			set { _f_productnumber = value; }
			get { return _f_productnumber; }
		}
		/// <summary>
		/// 产品名称
		/// </summary>
		public string F_ProductName
		{
			set { _f_productname = value; }
			get { return _f_productname; }
		}
		/// <summary>
		/// 产品简称/编码
		/// </summary>
		public string F_ProductShortName
		{
			set { _f_productshortname = value; }
			get { return _f_productshortname; }
		}
		/// <summary>
		/// 分类名称
		/// </summary>
		public string F_ClassName
		{
			set { _f_classname = value; }
			get { return _f_classname; }
		}
		/// <summary>
		/// 分类id
		/// </summary>
		public int F_ClassId
		{
			set { _f_classid = value; }
			get { return _f_classid; }
		}
		/// <summary>
		/// 拼音简码
		/// </summary>
		public string F_PinyinShort
		{
			set { _f_pinyinshort = value; }
			get { return _f_pinyinshort; }
		}
		/// <summary>
		/// 上架时间
		/// </summary>
		public DateTime? F_OnSaleBegin
		{
			set { _f_onsalebegin = value; }
			get { return _f_onsalebegin; }
		}
		/// <summary>
		/// 下架时间
		/// </summary>
		public DateTime? F_OnSaleEnd
		{
			set { _f_onsaleend = value; }
			get { return _f_onsaleend; }
		}
		/// <summary>
		/// 是否正在上架（可暂不启用）
		/// </summary>
		public bool F_IsSale
		{
			set { _f_issale = value; }
			get { return _f_issale; }
		}
		/// <summary>
		/// 生产厂家
		/// </summary>
		public string F_Factory
		{
			set { _f_factory = value; }
			get { return _f_factory; }
		}
		/// <summary>
		/// 产品产地
		/// </summary>
		public string F_Address
		{
			set { _f_address = value; }
			get { return _f_address; }
		}
		/// <summary>
		/// 供货商
		/// </summary>
		public string F_Supplier
		{
			set { _f_supplier = value; }
			get { return _f_supplier; }
		}
		/// <summary>
		/// 兑换积分
		/// </summary>
		public int? F_Integral
		{
			set { _f_integral = value; }
			get { return _f_integral; }
		}
		/// <summary>
		/// 市场价
		/// </summary>
		public decimal? F_MarketPrice
		{
			set { _f_marketprice = value; }
			get { return _f_marketprice; }
		}
		/// <summary>
		/// 会员价
		/// </summary>
		public decimal? F_MemberPrice
		{
			set { _f_memberprice = value; }
			get { return _f_memberprice; }
		}
		/// <summary>
		/// 特价/优惠价
		/// </summary>
		public decimal? F_SpecialPrice
		{
			set { _f_specialprice = value; }
			get { return _f_specialprice; }
		}
		/// <summary>
		/// 0整除 1已删除（隐藏）
		/// </summary>
		public int? F_IsDelete
		{
			set { _f_isdelete = value; }
			get { return _f_isdelete; }
		}
		/// <summary>
		/// 产品描述
		/// </summary>
		public string F_Des
		{
			set { _f_des = value; }
			get { return _f_des; }
		}
		/// <summary>
		/// 商品属性（体积）规格（暂不启用）
		/// </summary>
		public string F_Attribute
		{
			set { _f_attribute = value; }
			get { return _f_attribute; }
		}
		/// <summary>
		/// 产品重量
		/// </summary>
		public decimal? F_Weight
		{
			set { _f_weight = value; }
			get { return _f_weight; }
		}
		/// <summary>
		/// 产品标签
		/// </summary>
		public string F_Tag
		{
			set { _f_tag = value; }
			get { return _f_tag; }
		}
		/// <summary>
		/// 产品图片（暂不启用）
		/// </summary>
		public string F_Picture
		{
			set { _f_picture = value; }
			get { return _f_picture; }
		}
		/// <summary>
		/// 产品视频（暂不启用）
		/// </summary>
		public string F_Video
		{
			set { _f_video = value; }
			get { return _f_video; }
		}
		/// <summary>
		/// 产品图文介绍（暂不启用）
		/// </summary>
		public string F_Content
		{
			set { _f_content = value; }
			get { return _f_content; }
		}
		/// <summary>
		/// 操作人Id
		/// </summary>
		public int? F_UserId
		{
			set { _f_userid = value; }
			get { return _f_userid; }
		}
		/// <summary>
		/// 操作人姓名
		/// </summary>
		public string F_UserName
		{
			set { _f_username = value; }
			get { return _f_username; }
		}
		/// <summary>
		/// 添加时间
		/// </summary>
		public DateTime? F_AddTime
		{
			set { _f_addtime = value; }
			get { return _f_addtime; }
		}
		/// <summary>
		/// 上次操作时间
		/// </summary>
		public DateTime? F_UpdateTime
		{
			set { _f_updatetime = value; }
			get { return _f_updatetime; }
		}
		/// <summary>
		/// 排序
		/// </summary>
		public int F_Sort
		{
			set { _f_sort = value; }
			get { return _f_sort; }
		}

		/// <summary>
		/// 上次库存更新时间
		/// </summary>
		public DateTime? F_LastStockUpdate
		{
			set { _f_laststockupdate = value; }
			get { return _f_laststockupdate; }
		}

		/// <summary>
		/// 产品库存
		/// </summary>
		public int F_Stock
		{
			set { _f_stock = value; }
			get { return _f_stock; }
		}
		#endregion Model

	}
}
